> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 URL 采集 Google AI 模式搜索

> 使用 Bright Data Web Scraper API 按 URL 采集 Google AI 模式搜索的回答与引用来源。POST /datasets/v3/scrape 以 JSON 格式返回记录。

## 查询参数

<ParamField query="dataset_id" type="string" default="gd_mcswdt6z2elth3zqr2" required>
  用于此请求的数据集 ID。

  <Warning>
    必须设置为 `gd_mcswdt6z2elth3zqr2` 以采集**按 URL 的 Google AI 模式搜索**数据。
  </Warning>
</ParamField>

<ParamField query="notify" type="boolean" default={false}>
  请求完成时是否发送通知。
</ParamField>

<ParamField query="include_errors" type="boolean" default={true}>
  是否在响应中包含错误。
</ParamField>

## 请求体

<ParamField body="input" type="object[]" required>
  输入对象的数组。

  <Expandable title="properties">
    <ParamField body="url" type="string" required>
      要采集的 Google AI 模式搜索 URL（包含 `udm=50` 参数）。
    </ParamField>

    <ParamField body="prompt" type="string" required>
      AI 模式搜索查询中使用的提示词。
    </ParamField>

    <ParamField body="country" type="string">
      ISO 3166-1 alpha-2 国家代码，用于本地化结果。
    </ParamField>
  </Expandable>

  #### 示例

  ```json wrap theme={null}
  {
    "input": [
      {
        "url": "https://www.google.com/search?udm=50&q=how+to+train+for+a+marathon",
        "prompt": "how to train for a marathon",
        "country": "US"
      }
    ]
  }
  ```
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "prompt": "how to train for a marathon",
      "answer": "A typical marathon training plan runs 16 to 20 weeks...",
      "citations": [
        {
          "title": "Marathon Training Plan for Beginners",
          "url": "https://example.com/marathon-plan"
        }
      ],
      "url": "https://www.google.com/search?udm=50&q=how+to+train+for+a+marathon"
    }
  ]
  ```
</ResponseExample>
